Project

General

Profile

Bug #16095

ceph-base requires parted

Added by Ken Dreyer over 2 years ago. Updated over 2 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
-
Target version:
-
Start date:
05/31/2016
Due date:
% Done:

0%

Source:
other
Tags:
Backport:
jewel
Regression:
No
Severity:
3 - minor
Reviewed:
Affected Versions:
ceph-qa-suite:
Pull request ID:

Description

The ceph-base RPM package Requires: parted. This means that any server (ceph-mon, ceph-mds) has to install parted.

Should this be changed so that the ceph-osd subpackage requires parted, instead?

To put it another way, does anything outside of the ceph-osd RPM require the parted utility (or is it just ceph-disk)?


Related issues

Copied to devops - Backport #16099: jewel: ceph-base requires parted Resolved

History

#1 Updated by Ken Dreyer over 2 years ago

  • Status changed from New to Need Review

See ceph-devel thread "dependency on parted: just ceph-osd, or more?" for context. http://thread.gmane.org/gmane.comp.file-systems.ceph.devel/31533

PR for master: https://github.com/ceph/ceph/pull/9415

#2 Updated by Ken Dreyer over 2 years ago

  • Backport set to jewel

#3 Updated by Ken Dreyer over 2 years ago

  • Status changed from Need Review to Pending Backport

#4 Updated by Nathan Cutler over 2 years ago

#5 Updated by Loic Dachary over 2 years ago

  • Status changed from Pending Backport to Resolved

Also available in: Atom PDF